> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Characters

> Create characters for video generation



## OpenAPI

````yaml openapi/en/sora.json POST /sora/characters
openapi: 3.1.0
info:
  title: Sora API DOCS
  version: 1.0.0
  description: TTAPI Sora API service
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /sora/characters:
    post:
      description: Create characters for video generation
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CharactersRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    CharactersRequest:
      type: object
      properties:
        timestamps:
          type: string
          description: >-
            Time in seconds. For example, ‘1,2’ means the character appears in
            seconds 1-2 of the video. Note: The range difference must be maximum
            3 seconds and minimum 1 second
        url:
          type: string
          description: Video URL containing the character to be created
        hookUrl:
          type: string
          description: >-
            Callback notification URL. When task completes or fails, this URL
            will be notified. <a href="fetch" target="_self">Notification data
            structure</a> is consistent with fetch structure. If not set, you
            need to request the <a href="fetch" target="_self">fetch
            interface</a> for query
      required:
        - timestamps
        - url
  responses:
    SuccessResponse:
      description: Request successful
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: jobId
            required:
              - status
              - message
              - data
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````